Package com.mckoi.database.global

## Class ObjectTranslator

- java.lang.Object
- - com.mckoi.database.global.ObjectTranslator

    public class ObjectTranslator
    extends java.lang.Object

This object compliments ObjectTransfer and provides a method to translate any object into a type the database engine can process.

Author:
  Tobias Downer

### Constructor Summary

Constructors
`ObjectTranslator()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.Object` `deserialize​(ByteLongObject blob)` Deserializes a ByteLongObject to a Java object.
`static ByteLongObject` `serialize​(java.lang.Object ob)` Serializes the Java object to a ByteLongObject.
`static java.lang.Object` `translate​(java.lang.Object ob)` Translates the given object to a type the database can process.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ObjectTranslator

    public ObjectTranslator()

### Method Detail

#### translate

    public static java.lang.Object translate​(java.lang.Object ob)

Translates the given object to a type the database can process.

#### serialize

    public static ByteLongObject serialize​(java.lang.Object ob)

Serializes the Java object to a ByteLongObject.

#### deserialize

    public static java.lang.Object deserialize​(ByteLongObject blob)

Deserializes a ByteLongObject to a Java object.